Subject: RE: [Ospf-manet] Re: Ospf-manet Digest, Vol 9, Issue 11

From: "Stan Ratliff \(sratliff\)" <[email-masked]>
Date: Thu, 28 Sep 2006 14:20:41 -0400

Phil, 

Yes, I agree completely. And that, in my opinion, makes the case 
for making both of these options experimental, gaining more 
real implementation experience with both of them, and revisiting 
the situation at a later date. 

IIRC, there was a presentation from Joe Macker in the MANET 
working group in Dallas concerning SMF. Joe's recommendation 
was to proceed with experimental RFC's on 4 different flooding 
mechanisms, in order to gain experience with them. 

I understand that SMF and OSPF aren't the same, but the problem 
seems to me to be the same one -- we're largely arguing theoretical
implementations here. Let's gain some experience with the different 
options in real-world implementations, and see which solution 
prevails. 

Regards,
Stan

-----Original Message-----
From: Spagnolo, Phillip A [mailto:[email-masked]] 
Sent: Thursday, September 28, 2006 2:10 PM
To: [email-masked]
Subject: RE: [Ospf-manet] Re: Ospf-manet Digest, Vol 9, Issue 11

Stan,

My point was not that MDRs/ORs haven't been tested outside of
simulation, but they have not been "sufficiently tested".  

It is easy to say, "Yes, we have run MDRs/ORs in the field".   

Russ seems to be saying that ORs are on a better footing because they
have been used in the field, but similar testing has been done for MDRs.

The problem is that we can't compare because it is just "he said/she
said".

Do you agree?

Sincerely,
Phil

> -----Original Message-----
> From: Joe Macker [mailto:[email-masked]] 
> Sent: Thursday, September 28, 2006 11:00 AM
> To: 'Stan Ratliff (sratliff)'; Spagnolo, Phillip A; 
> [email-masked]
> Subject: RE: [Ospf-manet] Re: Ospf-manet Digest, Vol 9, Issue 11
> 
> Just to add we have certainly tested the quagga-based MDR 
> code outside of
> simulation in a working IPv6 network including gateways.
>  
> -Joe
> 
> >-----Original Message-----
> >From: Stan Ratliff (sratliff) [mailto:[email-masked]] 
> >Sent: Thursday, September 28, 2006 1:40 PM
> >To: Spagnolo, Phillip A; [email-masked]
> >Subject: RE: [Ospf-manet] Re: Ospf-manet Digest, Vol 9, Issue 11
> >
> >Phil, 
> >
> >>Finally, I don't think we can say MDRs, ORs, or OSPF-Inria 
> have been 
> >>truly tested sufficiently outside of the simulation environment.
> >
> >I would disagree with the above statement. ORCAs *have* been 
> >field- tested. I can't say any more than that, and that may 
> >bring us to a protracted discussion as to what "tested 
> >sufficiently" means, but the fact remains
> >--
> >ORCAs have been tried & tested in the field. 
> >
> >Regards,
> >Stan
> >
> >
> >-----Original Message-----
> >From: Spagnolo, Phillip A [mailto:[email-masked]]
> >Sent: Thursday, September 28, 2006 11:44 AM
> >To: [email-masked]
> >Subject: RE: [Ospf-manet] Re: Ospf-manet Digest, Vol 9, Issue 11
> >
> >Russ,
> >
> >You wrote the following:
> >
> >> Right now my understanding of our position is:
> >> 
> >> o There is one implementation of MPRs.
> >> o There is a simulation of MPRs and MDRs.
> >> o There is a great deal of argument about what the simulations 
> >> actually show.
> >> o There are questions around the actual efficiency and use of MDRs 
> >> outside the simulated environment.
> >> o There are no implementations of MDRs.
> >> o There is no market drive or force to implement any new 
> >solution for 
> >> at least the next 3 to 5 years.
> >
> >When you talk about MPRs are you referring to ORs or a 
> >solution yet to fully specified by Inria (OSPF-Inria)?  When 
> >people are using the term MPRs, I think we need to be specific 
> >about which one we are talking about.  ORs and OSPF-Inria are 
> >not the same.
> >
> >Here is the way I see the position of OSPF-MANET.  Do we agree?
> >
> >                  MDR             OR               OSPF-Inria
> >-------------------------------------------------------------
> >Specification      |Yes             Yes              No
> >Simulation         |GTNetS/OPNET    GTNetS           None
> >Implementation     |Quagga          Quagga/Cisco     None
> >Questions about    |                
> >outside simulation |Yes             Yes              Yes
> >Market drive       |??              ??               ??
> >
> >When I say specification above, I mean to a level of detail 
> >that is implemenatable.  When I say simulation, I mean in an 
> >OSPF framework.  
> >Finally, I don't think we can say MDRs, ORs, or OSPF-Inria 
> >have been truly tested sufficiently outside of the simulation 
> >environment.  We (at
> >Boeing) have been focusing our efforts in this direction.
> >
> >Sincerely,
> >Phil
> >
> >Phil Spagnolo
> >Network Technology Engineer
> >The Boeing Company
> >Phone:  425-373-2810
> >
> >_______________________________________________
> >Ospf-manet mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/ospf-manet
> >
> >_______________________________________________
> >Ospf-manet mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/ospf-manet
> >
> 
> 
> 

_______________________________________________
Ospf-manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf-manet

_______________________________________________
Ospf-manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf-manet